org.eclipse.wst.jsdt.core

## Class JSDScopeUtil

- java.lang.Object
- - org.eclipse.wst.jsdt.core.JSDScopeUtil

    public class JSDScopeUtil
    extends java.lang.Object

(mostly) static methods to figure out includepath entries and container initializers * Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`JSDScopeUtil()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static JsGlobalScopeContainerInitializer` `findLibraryInitializer(IPath compUnitPath, IJavaScriptProject javaProject)`
`static JsGlobalScopeContainerInitializer` `getContainerInitializer(IPath classPathEntry)`
`IIncludePathEntry[]` `getIncludepathEntries(IJsGlobalScopeContainer container)`
`IJsGlobalScopeContainer` `getLibraryContainer(IPath cpEntry, IJavaScriptProject javaProject)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSDScopeUtil

    public JSDScopeUtil()

### Method Detail

#### getContainerInitializer

    public static JsGlobalScopeContainerInitializer getContainerInitializer(IPath classPathEntry)

#### getIncludepathEntries

    public IIncludePathEntry[] getIncludepathEntries(IJsGlobalScopeContainer container)

#### getLibraryContainer

    public IJsGlobalScopeContainer getLibraryContainer(IPath cpEntry,
                                                       IJavaScriptProject javaProject)

#### findLibraryInitializer

    public static JsGlobalScopeContainerInitializer findLibraryInitializer(IPath compUnitPath,
                                                                           IJavaScriptProject javaProject)